#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	swig
Version		:	4.0.1
Release		:	14.4.0.0%{?dist}
Summary		:	Connects C/C++/Objective C to some high-level programming languages
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://downloads.sourceforge.net/swig

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
Simplified Wrapper and Interface Generator (SWIG) is a software
development tool for connecting C, C++ and Objective C programs with a
variety of high-level programming languages.  SWIG is primarily used
with Perl, Python and Tcl/TK, but it has also been extended to Java,
Eiffel and Guile.  SWIG is normally used to create high-level
interpreted programming environments, systems integration, and as a
tool for building user interfaces

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--without-clisp					\
	--without-maximum-compile-warnings		\


%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


%files			
%defattr(-,root,root,-)

%doc CHANGES COPYRIGHT LICENSE README
%doc Doc
%{_bindir}/%{name}
%{_bindir}/ccache-%{name}
%{_datadir}/%{name}/%{version}/*.{i,swg}
%{_datadir}/%{name}/%{version}/*/*.h
%{_datadir}/%{name}/%{version}/*/Makefile.swig
%{_datadir}/%{name}/%{version}/*/*.{i,swg,ml,mli,scm,pl,rb}
%{_datadir}/%{name}/%{version}/*/*/*.{i,swg}

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
